DCMTK - Bug #453

Crash during image scaling (c't algorithm)
2012-09-27 14:32 - Jorg Riesmeier

Status: Closed Start date: 2012-09-27
Priority: High Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmimgle Compiler:

Operating System:

Description
The program dcmj2pnm crashes when using the following command line:

demj2pnm +i 4 —-a +Svx 128 +Syv 102 +ob FUJIFILM_CR.dcm FUJIFILM_CR.bmp
Here's the output (latest DCMTK development version on caesar):

[...]

I: scaling image, Y size=102, Interpolation=4, Aspect Ratio=no

D: using reduce pixel scaling algorithm with interpolation from c't magazine
Speicherzugriffsfehler

The sample file can be found in "/share/dicom/contrib/20120927_takeo_scale_image_crash/FUJIFILM_CR.zip".

History

#1 - 2012-11-02 12:00 - Jorg Riesmeier
- Status changed from New to Closed
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 100

This issue should be fixed with the following commit:
http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=e9c3550bb350766858667b1e8c963ae012f8a5¢c1
